All Pixpro Labs extensions are compatible with Joomla! 3.7

All our extensions are ready to be used on Joomla! 3.7 websites.

Here's the release info about the new update of PixPublish 1.1.1 and the brand new PixPublish AcyMailing Plugin.